/**
 * Copyright 2006-2007 by jFramework.org.
 */
package org.jframework.core.util;

import java.util.Arrays;
import java.util.List;

/**
 * Described value test.
 *
 * @author mgridnev
 * @version 2.0, Dec 13, 2006
 */
public class DescribedValueTest extends BeanTestCase
{
    /**
     * Value.
     */
    private static final String VALUE = "Value";

    /**
     * Description.
     */
    private static final String DESCRIPTION = "Description";

    /**
     * Creates a new bean.
     */
    protected Object newBean()
    {
        return new DescribedValue<String>(VALUE, DESCRIPTION);
    }

    /**
     * Returns property checks.
     */
    protected List<Check> getPropertyChecks()
    {
        return Arrays.asList(
            Check.newReadOnly("proxiedObject", VALUE),
            Check.newReadOnly("description", DESCRIPTION)
        );
    }

    /**
     * Tests string representation
     */
    public void testToString()
    {
        assertEquals(DESCRIPTION, bean.toString());
        assertEquals(VALUE, new DescribedValue<String>(VALUE, null).toString());
    }
}
