/**
 * Copyright 2005 by jFramework.org.
 */
package org.jframework.core.util;

import junit.framework.TestCase;

import java.util.Arrays;
import java.util.Collections;

import org.apache.log4j.BasicConfigurator;

/**
 * Tests test utilities.
 *
 * @author mgridnev
 * @version 2.0, Dec 10, 2006
 */
public class TestUtilsTest extends TestCase
{
    protected void setUp() throws Exception
    {
        BasicConfigurator.configure();
    }

    protected void tearDown() throws Exception
    {
        BasicConfigurator.resetConfiguration();
    }

    public void testIsArray()
    {
        assertFalse(TestUtils.isArray(null));
        assertTrue(TestUtils.isArray(new int[0]));
        assertFalse(TestUtils.isArray("string"));
    }

    public void testAsList()
    {
        assertEquals(Collections.EMPTY_LIST, TestUtils.asList(null));
        assertEquals(Collections.EMPTY_LIST, TestUtils.asList(new int[0]));
        assertEquals(Arrays.asList(Boolean.TRUE, Boolean.FALSE), TestUtils.asList(new boolean[]{true, false}));

        try {
            TestUtils.asList("string");
            fail("Not an array");
        } catch (IllegalArgumentException e) {
        }
    }
}
